Subject: [PATCH v3 0/8] Add the Quadspi driver for vf610-twr

From: [email-masked] (Huang Shijie)
Date: Thu, 12 Sep 2013 23:14:47 -0400

On Thu, Sep 12, 2013 at 03:03:16PM +0100, David Woodhouse wrote:
> On Thu, 2013-09-12 at 14:43 +0100, Mark Brown wrote:
> > 
> 
> So to go back to your question: the commands that it "knows" we are
> going to send are indeed specific to (one particular type of) SPI NOR
> flash. But there's nothing on the MTD side which justifies that
> assumption. Even if you use a different type of SPI NOR flash which uses
> different opcodes for its commands, this broken scheme will fall over.

Beside the quad-read/ddr-quad-read commands, all the commands needed by
this driver is common. If we do not enable the quad-read, this driver
can works with the fast-read mode.

If we use a different NOR which uses different opcodes
(different quad-read opcodes ?), i should add a small patch to fix it. 

I think i should follow Mark's advice to split out the quad-read code.

thanks
Huang Shijie